sampler2D Tex0;

struct PS_INPUT{
    float1 Depth			: TEXCOORD0;
    float2 BaseTex			: TEXCOORD1;
};

struct PS_OUTPUT{
	float4 Color			: COLOR;
};

PS_OUTPUT main(const PS_INPUT Input){
	float4 BaseTex = tex2D(Tex0, Input.BaseTex);
	
	PS_OUTPUT Out;
	if (BaseTex.a != 0){
		Out.Color = float4(Input.Depth, Input.Depth, Input.Depth, Input.Depth);
	}
	else Out.Color = 0;
	
	return Out;
}
